%define name exmh 
%define version 2.7.2
%define release %mkrel 3

Summary: The exmh mail handling system
Name: %{name}
Version: %{version}
Release: %{release}
Requires: mh metamail faces-xface
License: MIT
Group: Networking/Mail
BuildRequires:	tcl
BuildArchitectures: noarch
Source0: ftp://ftp.scriptics.com/pub/tcl/exmh/%{name}-%{PACKAGE_VERSION}.tar.bz2
Source1: icons-%{name}.tar.bz2
Url: http://www.beedub.com/exmh/
Patch1: %{name}-2.1.1-conf.patch
Patch2: %{name}-2.0.2-smproxy.patch
BuildRoot: %{_tmppath}/exmh-root

%description
Exmh provides an X interface for MH/nmh mail, a feature-rich email
handling system.  Exmh supports almost all (but not all) of MH's
features: viewing the messages in a folder, reading/deleting/refiling
messages, and sorting arriving mail into different folders before the
messages are read. Exmh highlights which folders have new mail, and
indicates which messages have not been read (so you don't lose the sorted,
unread mail).

If you like MH/nmh mail, you should install exmh, because it makes the
MH/nmh mail system much more user friendly.  You may also want to use
exmh if you prefer a graphical user interface for your mail client.  Note
that you will also have to install the nmh package.

%prep
%setup -q -n %{name}-%{PACKAGE_VERSION}
for i in *.MASTER; do
	cp $i ${i%%.MASTER}
done
%patch1 -p1
%patch2 -p1
find . -name "*.orig" -exec rm {} \;

%build
echo 'auto_mkindex ./lib *.tcl' | tclsh

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man1
mkdir -p $RPM_BUILD_ROOT%{_libdir}/exmh-%{PACKAGE_VERSION}
for i in exmh exmh-bg exmh-async ftp.expect; do
	install -m755 $i $RPM_BUILD_ROOT%{_bindir}
done
for i in *.l; do
	install -m644 $i $RPM_BUILD_ROOT%{_mandir}/man1/${i%%.l}.1
done

cp -ar lib/* $RPM_BUILD_ROOT%{_libdir}/exmh-%{PACKAGE_VERSION}
# Somehow the files here get installed woth 0640 permisions.
# Quick hack to fix this (stefan@eijk.nu)
find $RPM_BUILD_ROOT%{_libdir}/exmh-%{PACKAGE_VERSION} -type f -exec chmod 644 {} \;

perl -pi -e "s|2.1.1|%version|" $RPM_BUILD_ROOT%{_bindir}/*

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications/
cat << EOF > %buildroot%{_datadir}/applications/mandriva-exmh.desktop
[Desktop Entry]
Type=Application
Exec=%{_bindir}/exmh
Icon=exmh
Name=Exmh
Comment=A tk-based mail reader
Categories=Office;Network;Email;
EOF

#mdk menu
install -d $RPM_BUILD_ROOT%{_iconsdir}
tar xjvf %{SOURCE1} -C $RPM_BUILD_ROOT%{_iconsdir}

%clean
rm -rf $RPM_BUILD_ROOT

%post
## menu
%{update_menus}

%postun
## menu
%{clean_menus}

%files
%defattr(-,root,root)
%{_bindir}/*
%{_libdir}/%name-%version
%{_mandir}/man1/exmh.1*
%{_datadir}/applications/mandriva-*.desktop
%{_iconsdir}/*
%defattr(644,root,root,0755)
%doc COPYRIGHT exmh.CHANGES exmh.README


%changelog
* Thu Jan 03 2008 Thierry Vignaud <tvignaud@mandriva.com> 2.7.2-3mdv2008.1
+ Revision: 141825
- auto-convert XDG menu entry
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Guillaume Rousse <guillomovitch@mandriva.org>
    - rebuild

  + Nicolas Vigier <nvigier@mandriva.com>
    - add require on faces-xface
    - fix license (MIT, not GPL)
    - bunzip patches
    - Import exmh



* Thu Jan 05 2005 Lenny Cartier <lenny@mandriva.com> 2.7.2-1mdk
- 2.7.2

* Fri Jul 02 2004 Lenny Cartier <lenny@mandrakesoft.com> 2.6.2-2mdk
- rebuild

* Thu Apr 03 2003 Lenny Cartier <lenny@mandrakesoft.com> 2.6.2-1mdk
- 2.6.2

* Mon Mar 24 2003 Lenny Cartier <lenny@mandrakesoft.com> 2.6.1-1mdk
- 2.6.1

* Tue Feb 11 2003 Lenny Cartier <lenny@mandrakesoft.com> 2.6-1mdk
- 2.6
- png icons
- fix files permission

* Sun Feb 02 2003 Lenny Cartier <lenny@mandrakesoft.com> 2.5-2mdk
- rebuild

* Sat Oct 20 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 2.5-1mdk
- New and shiny exmh.

* Sun Sep 30 2001 Stefan van der Eijk <stefan@eijk.nu> 2.4-3mdk
- BuildRequires:	tcl
- Copyright --> License
- iconsdir not owned by package
- fix permisions of files in %%{_libdir}.

* Tue Jun 12 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 2.4-2mdk
- Don't hardcode s|2.1.1|2.3.1| during build (Erik R. Ogan).

* Wed May 16 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 2.4-1mdk
- New and shiny 2.4 for general consumption.

* Tue Jan 23 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 2.3.1-1mdk
- 2.3.1 to prevent symlink attack (security).
- use -j instead of -I when uncompressing bzip2 with tar.

* Tue Oct 10 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.2-5mdk
- remove ownership on %%{_menudir} and the like

* Tue Oct 03 2000 Daouda Lo <daouda@mandrakesoft.com> 2.2-4mdk
- provide bunch of icons ;-)
- change the license from freeware to GPL
- more macroz..

* Thu Sep 28 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 2.2-3mdk
- Add missing executables. (T.Henderson.)

* Mon Sep 25 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 2.2-2mdk
- fix s/2.1.1/2.2/; (allen)

* Fri Aug 04 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 2.2-1mdk
- new version

* Wed Jul 26 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 2.1.1-6mdk
- macrosifications
- BM
- remove the wmconfig file

* Thu Apr 17 2000 Yoann Vandoorselaere <yoann@mandrakesoft.com> 2.1.1-5mdk
- Add a menu entry.

* Thu Apr 13 2000 Yoann Vandoorselaere <yoann@mandrakesoft.com> 2.1.1-4mdk
- fix group

* Tue Mar 21 2000 Yoann Vandoorselaere <yoann@mandrakesoft.com> 2.1.1-3mdk
- Fix group.
- Removed innexistant documentation file.

* Wed Nov  3 1999 John Buswell <johnb@mandrakesoft.com>
- Build Release

* Tue Nov  2 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Merge rh patchs.
- 2.1.1.

* Sun Jul 19 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- 2.0.3

* Thu May 13 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions

* Sat Apr 10 1999 Michael K. Johnson <johnsonm@redhat.com>
- added smproxy patch from Owen Taylor

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 6)

* Sat Aug 15 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Fri Apr 24 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Fri Apr 10 1998 Donnie Barnes <djb@redhat.com>
- updated to 2.0.2

* Wed Oct 22 1997 Donnie Barnes <djb@redhat.com>
- added wmconfig support
